<?
 /*SCRIPT PARA MANTENIMIENTO DE CARGOS A ALUMNOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$key || !$cargo || !$idg){
    param_inc("Parámetros Incorrectos","frm_cp_cargoporplanpago.php?idg=$cargo");
  }

  $id_key=dec($key);
  $id_cargo=dec($cargo);
  $id_grado=dec($idg);
  $id_plan=dec($idp);

  switch($id_key){
   case "grupo":
    if($id_cargo=="matricula"){
      $qvalores=mysql_query("select grados.vinscripcion
                             from grados
                             where id ='$id_grado'");

      if(mysql_num_rows($qvalores)==0){
       param_inc();
      }
      $ivalores=mysql_fetch_array($qvalores);

      $qalumnos=mysql_query("select carnet, beca_matricula
                             from alumnos
                             where grado_estudio=$id_grado");
      $operados=0;
      $existentes=0;
      while($ialumno=mysql_fetch_array($qalumnos)){
       $qverifica=mysql_query("select *
                               from cp_cargos
                               where carnet='{$ialumno[carnet]}'
                               and tipo='MT'
                               and year=$df_year_actual");

       if(empty($ialumno[beca_matricula])){$ialumno[beca_matricula]=0;}
       $mess="";
       if($ialumno[beca_matricula]>0){$mess=" (BECA {$ialumno[beca_matricula]}%)";}

       $valor_desc_matricula=(100-$ialumno[beca_matricula])/100;
       $ivalores[vinscripcion]=round($ivalores[vinscripcion]*$valor_desc_matricula,2);

       if(mysql_num_rows($qverifica)==0){
        $operados++;
        $sql="insert into cp_cargos
              set carnet='{$ialumno[carnet]}',
              descripcion='Matrícula $mess',
              valor='{$ivalores[vinscripcion]}',
              saldo='{$ivalores[vinscripcion]}',
              fecha_cargo='$fechahora',
              year=$df_year_actual,
              tipo='MT',
              mes='0',
              usuario='$uuser'";
        $ins=mysql_query($sql);
       }else{
        $existentes++;
       }
//       alert("El alumno ya tiene cargado el valor de la matrícula","frm_cp_cargoindividual.php?txtalumno=$id_alumno");
//         header("Location: frm_cp_cargoindividual.php?txtalumno=$id_alumno");
      }
         alert("Se operaron cargos a $operados alumno(s)","frm_cp_cargoporgrado.php");
    }

    if($id_cargo=="mensualidad"){
      $qvalores=mysql_query("select grados.*
                             from grados
                             where id ='$id_grado'");

      if(mysql_num_rows($qvalores)==0){
       param_inc();
      }

    $ivalores=mysql_fetch_array($qvalores);

    $qalumnos=mysql_query("select carnet, beca_mensualidad from alumnos where grado_estudio = $id_grado");
    $operados=0;
    $existentes=0;
    while($ialumno=mysql_fetch_array($qalumnos)){

     if(empty($ialumno[beca_mensualidad])){$ialumno[beca_mensualidad]=0;}
     $mess="";

     if($ialumno[beca_mensualidad]>0){$mess=" (BECA {$ialumno[beca_mensualidad]}%)";}

     $valor_desc_mensualidad=(100-$ialumno[beca_mensualidad])/100;
     $ivalores[vmensualidad]=round($ivalores[vmensualidad]*$valor_desc_mensualidad,2);
     $existe_cargo=false;

     for($i=1;$i<=12;$i++){
      $mmes="m$i";
      $paga_mes=$ivalores[$mmes];
      if($paga_mes=='S'){
      $qverifica=mysql_query("select * from cp_cargos
                              where carnet='{$ialumno[carnet]}'
                              and tipo='ME'
                              and year=$df_year_actual
                              and mes=$i");

       if(mysql_num_rows($qverifica)==0){
//        $operados++;
        $existe_cargo=true;
        $sql="insert into cp_cargos
              set carnet='{$ialumno[carnet]}',
              descripcion='Mensualidad ".mes_letras($i)." $mess',
              valor='{$ivalores[vmensualidad]}',
              saldo='{$ivalores[vmensualidad]}',
              fecha_cargo='$fechahora',
              year=$df_year_actual,
              tipo='ME',
              mes='$i',
              usuario='$uuser'";
//        echo $sql."<br>";
          mysql_query($sql);
       } else {$existentes++;}// fin if
      }//fin si paga el mes
     }// fin del ciclo del mes (enero - diciembre)
     if($existe_cargo==true){$operados++;}
    } // fin del ciclo de alumnos
   //  header("Location: frm_cp_cargoindividual.php?txtalumno=$id_alumno");
   alert("Se operaron cargos a $operados alumno(s)","frm_cp_cargoporgrado.php");
   }//fin del if si es mensualidad



   if($id_cargo=="Otros"){
    if(!$confirmacion){
//     confirmacion("Está seguro de operar estos cargos","mnt_cargo_group.php?confirmacion=ok&key=$key&cargo=$cargo&idg=$idg&txtdesccargo=$txtdesccargo&txtyearcargo=$txtyearcargo&txtdpago=$txtdpago","frm_cp_cargoporgrado.php?idg=$idg");
    }

    $qdcrg=mysql_query("select * from cp_tipos_cargos where id = '$txtdesccargo'");

    if(mysql_num_rows($qdcrg)==0){
      alert("ERROR: Cargo no encontrado $txtdesccargo",$goback);
    }

    $idcrg=mysql_fetch_array($qdcrg);

    $operados=0;
    $existentes=0;
    for($i=1;$i<=12;$i++){
     $tmpmes="m$i";
     if($$tmpmes != "S"){
       continue;
     }
     $fecha_cargo="$txtyearcargo-$i-$txtdpago $hora";
     $qalumnos=mysql_query("select carnet, sexo from alumnos where grado_estudio = '$id_grado'");
     $cnt_alumnos=mysql_num_rows($qalumnos);
     while($ialumno=mysql_fetch_array($qalumnos)){
      $sql="";
      
      $qverifica=mysql_query("select * from cp_cargos
                              where carnet='{$ialumno[carnet]}'
                              and descripcion='{$idcrg[descripcion]} $txtdescadicional'
                              and valor='$txtvcargo'
                              and tipo='$txtdesccargo'
                              and year='$txtyearcargo'
                              and mes=$i");

      if(mysql_num_rows($qverifica)==0){
        
        if($ialumno[sexo]=="F"){
           if(!empty($txtfemenino) && $txtfemenino=="S"){
              $sql="insert into cp_cargos
                    set carnet='{$ialumno[carnet]}',
                    descripcion='{$idcrg[descripcion]} $txtdescadicional',
                    valor='$txtvcargo',
                    saldo='$txtvcargo',
                    fecha_cargo='$fecha_cargo',
                    year=$txtyearcargo,
                    tipo='$txtdesccargo',
                    mes=$i,
                    usuario='$uuser'";           
           }
        }
        
        if($ialumno[sexo]=="M"){
           if(!empty($txtmasculino) && $txtmasculino=="S"){
              $sql="insert into cp_cargos
                    set carnet='{$ialumno[carnet]}',
                    descripcion='{$idcrg[descripcion]} $txtdescadicional',
                    valor='$txtvcargo',
                    saldo='$txtvcargo',
                    fecha_cargo='$fecha_cargo',
                    year=$txtyearcargo,
                    tipo='$txtdesccargo',
                    mes=$i,
                    usuario='$uuser'";                      
           }
        }
        
        
        if(!empty($sql)){
          $ins=mysql_query($sql);
          echo mysql_error();
          $operados++;
        }
      }//fin de la condición de verificación
     }//fin del ciclo de los alumnos
    }//fin del clico de los meses de 1 a 12
     alert("Se operaron cargos a $cnt_alumnos alumno(s)","frm_cp_cargoporgrado.php");
    } // fin si es otros cargos
    break;

   case "por_plan":
     $existentes=0;
     $operados=0;
     $qalumnos=mysql_query("select carnet from alumnos where plan_pago = $id_plan");
     $existentes=mysql_num_rows($qalumnos);
     
     $qdcrg=mysql_query("select * from cp_tipos_cargos where id = '$txtdesccargo'");
     if(mysql_num_rows($qdcrg)==0){
       alert("ERROR: Cargo no encontrado $txtdesccargo",$goback);
     }   
     $idcrg=mysql_fetch_array($qdcrg);
     
     for($i=1;$i<=12;$i++){
      $tmpmes="m$i";
      if($$tmpmes != "S"){
        continue;
      }
      
      $fecha_cargo="$txtyearcargo-$i-$txtdpago $hora";
          
      while($ialumno=mysql_fetch_array($qalumnos)){
       if(mysql_num_rows($qverifica)==0){
         $sql="insert into cp_cargos
               set carnet='{$ialumno[carnet]}',
               descripcion='{$idcrg[descripcion]} $txtdescadicional',
               valor='$txtvcargo',
               saldo='$txtvcargo',
               fecha_cargo='$fecha_cargo',
               year=$txtyearcargo,
               tipo='$txtdesccargo',
               mes=$i,
               usuario='$uuser'";
         $ins=mysql_query($sql);
         $operados++;
       }
      }
     } 
     alert("Se agregó un cargo a $operados alumno(s)","frm_cp_cargoporplanpago.php");
    break;
  }
?>
